> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yume.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get inventories



## OpenAPI

````yaml /openapi/main.json get /v1/crm/inventories/
openapi: 3.0.3
info:
  title: Yume API — Основное
  version: 1.0.0
  description: Базовые сущности и бизнес-логика CRM.
servers:
  - url: https://api.yume.cloud
    description: Production
  - url: https://api.stage.yume.cloud
    description: Stage
security: []
paths:
  /v1/crm/inventories/:
    get:
      tags:
        - inventories
      summary: Get inventories
      operationId: inventories_list
      parameters:
        - name: ordering
          required: false
          in: query
          description: Which field to use when ordering the results.
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: A page number within the paginated result set.
          schema:
            type: integer
        - name: pageSize
          required: false
          in: query
          description: Number of results to return per page.
          schema:
            type: integer
        - name: search
          required: false
          in: query
          description: A search term.
          schema:
            type: string
        - $ref: '#/components/parameters/TenantId'
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedInventoryList'
          description: ''
      security:
        - jwtAuth: []
components:
  parameters:
    TenantId:
      name: X-Tenant-Id
      in: header
      required: false
      schema:
        type: integer
      description: >-
        Компания, в контексте которой выполняется запрос — её id из `GET
        /v1/tenant/`. Пользователь должен состоять в этой компании: чужой id
        доступа к данным не даёт. Без заголовка компания определяется по домену
        запроса.
  schemas:
    PaginatedInventoryList:
      type: object
      required:
        - count
        - results
      properties:
        count:
          type: integer
          example: 123
        next:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=4
        previous:
          type: string
          nullable: true
          format: uri
          example: http://api.example.org/accounts/?page=2
        results:
          type: array
          items:
            $ref: '#/components/schemas/Inventory'
    Inventory:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        image:
          type: string
          readOnly: true
        subleases:
          type: array
          items:
            $ref: '#/components/schemas/InventorySublease'
          readOnly: true
        disabled:
          nullable: true
          oneOf:
            - $ref: '#/components/schemas/DisabledEnum'
            - $ref: '#/components/schemas/NullEnum'
        deleted:
          type: boolean
          readOnly: true
        status:
          $ref: '#/components/schemas/StatusE1eEnum'
        car:
          $ref: '#/components/schemas/InventoryCar'
        current_client:
          type: string
          readOnly: true
        tarifs:
          type: array
          items:
            $ref: '#/components/schemas/Tarif'
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        name:
          type: string
          title: Название
          maxLength: 255
        unique_id:
          type: string
          nullable: true
          title: Артикул
          maxLength: 255
        device_unique_id:
          type: string
          readOnly: true
          nullable: true
          title: Идентификатор устройства
        type:
          allOf:
            - $ref: '#/components/schemas/Type9ddEnum'
          title: Тип
          minimum: 0
          maximum: 32767
        buy_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Цена покупки
        buy_date:
          type: string
          format: date
          nullable: true
          title: Дата покупки
        sell_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Цена продажи
        sell_date:
          type: string
          format: date-time
          nullable: true
          title: Дата продажи
        lifetime:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          nullable: true
          title: Срок службы, дней
        stock_price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          nullable: true
          title: Складская цена
        comment:
          type: string
          nullable: true
          title: Комментарий
          maxLength: 1024
        prev_earning:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
          title: Заработано ранее
        extra:
          title: Доп. данные
        tenant:
          type: integer
        category:
          type: integer
          nullable: true
          title: Категория
        group:
          type: integer
          nullable: true
          title: Группа инвентаря
        rental_point:
          type: integer
          nullable: true
          title: Точка проката
        state:
          type: integer
          nullable: true
          title: Состояние
      required:
        - created_at
        - current_client
        - deleted
        - device_unique_id
        - id
        - image
        - name
        - status
        - subleases
        - updated_at
    InventorySublease:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        inventory:
          type: integer
          title: Инвентарь
        user:
          type: integer
          title: Владелец субаренды
        percent:
          type: string
          format: decimal
          pattern: ^-?\d{0,3}(?:\.\d{0,2})?$
          title: Процент субаренды
        start_at:
          type: string
          format: date-time
          nullable: true
          title: Начало периода
        end_at:
          type: string
          format: date-time
          nullable: true
          title: Конец периода
        is_current:
          type: boolean
          readOnly: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
      required:
        - created_at
        - id
        - inventory
        - is_current
        - percent
        - user
    DisabledEnum:
      enum:
        - 0
        - 1
        - 2
      type: integer
      description: |-
        * `0` - удалить
        * `1` - Архив
        * `2` - Списано
    NullEnum:
      enum:
        - null
    StatusE1eEnum:
      enum:
        - 0
        - 1
        - 2
        - 3
        - 4
        - 5
        - 6
        - 7
        - 8
        - 9
        - 10
        - 11
      type: integer
      description: |-
        * `0` - Свободно
        * `1` - Забронировано
        * `2` - В аренде
        * `3` - Сломано
        * `4` - Просрочка
        * `5` - Не активна
        * `6` - Продано
        * `7` - Ремонт
        * `8` - Списано
        * `9` - Склад
        * `10` - Доставка
        * `11` - Доставка
    InventoryCar:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        type:
          $ref: '#/components/schemas/Type839Enum'
        brand:
          type: string
          nullable: true
          maxLength: 255
        model:
          type: string
          nullable: true
          maxLength: 255
        number:
          type: string
          nullable: true
          maxLength: 255
        tech_passport:
          type: string
          nullable: true
          maxLength: 255
        serial:
          type: string
          nullable: true
          maxLength: 255
        vin:
          type: string
          nullable: true
          maxLength: 18
        extra: {}
      required:
        - id
    Tarif:
      type: object
      properties:
        id:
          type: integer
          readOnly: true
        weekdays:
          type: array
          items:
            type: integer
            maximum: 6
            minimum: 0
        inventory_set:
          type: integer
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
          title: Создан
        updated_at:
          type: string
          format: date-time
          readOnly: true
          title: Обновлен
        start:
          type: string
          format: time
          nullable: true
          title: Время с
        end:
          type: string
          format: time
          nullable: true
          title: Время до
        published:
          type: boolean
          title: Опубликовано
        one_time_payment:
          type: boolean
          title: Разовая оплата
        order:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
          title: Порядок
        name:
          type: string
          title: Название
          maxLength: 255
        price:
          type: string
          format: decimal
          pattern: ^-?\d{0,14}(?:\.\d{0,2})?$
        tenant:
          type: integer
          readOnly: true
        inventory:
          type: integer
          nullable: true
          title: Инвентарь
        inventory_group:
          type: integer
          nullable: true
          title: Группа инвентаря
        inventory_set_price:
          type: integer
          nullable: true
          title: Цена комплекта
        service:
          type: integer
          nullable: true
          title: Услуга
        time_period:
          type: integer
          nullable: true
          title: Период
      required:
        - created_at
        - id
        - tenant
        - updated_at
    Type9ddEnum:
      enum:
        - 0
        - 1
      type: integer
      description: |-
        * `0` - Аренда
        * `1` - Продажа
    Type839Enum:
      enum:
        - CAR
        - SCOOTER
        - MOTORCYCLE
      type: string
      description: |-
        * `CAR` - Автомобиль
        * `SCOOTER` - Электросамокат
        * `MOTORCYCLE` - Мотоцикл/Мопед
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````